package com.changfa.utils;

import com.alibaba.fastjson.JSON;

import java.util.List;

/**
 * @program: iot_prison
 * @description:
 * @author: shuaiqiren
 * @create: 2022-08-09 18:07
 **/
public class BeansUtils {

    private BeansUtils(){

    }

    /**
     * 对象转换
     * @param o
     * @param clazz 目标转换类
     * @param <T>  目标对象类
     * @return 目标对象
     */
    public static <T> T objectToBean(Object o,Class<T> clazz){
        String json = JSON.toJSONString(o);
        return JSON.parseObject(json,clazz);
    }

    /**
     * list<map> 转list<bean>
     * @param o  list<map>
     * @param clazz 目标转换类
     * @param <T> 目标对象类
     * @return 目标对象
     */
    public static <T> List<T> listToBean(Object o, Class<T> clazz){
        String json = JSON.toJSONString(o);
        return JSON.parseArray(json,clazz);
    }
}
